/*
 * Calcola 
 * f(n) = sum_{i=1}^{n^2}  sum_{k=1}{ceil(i/2)} Fib(k % mod 10)
 */
#include <stdio.h>
#include <stdlib.h>

int fib (int n)
{
	if (n < 0) {
		fprintf(stderr, "n must be positive!\n");
		exit(1);
	}

	if (n <= 1)
		return n;

	return fib(n-1) + fib(n-2);
}

int f (int n)
{
	int i, k;
	int sum = 0;

	for (i = 1; i <= n*n; i++) {
		int maxK = i/2;
		if (i % 2 != 0)
			maxK++;

		for (k = 1; k <= maxK; k++) {
			sum += fib(k % 10);	
		}
	}

	return sum;
}

int read_int()
{
	printf("Inserisci intero compreso tra 0 e 10: ");
	int N;
	int val = scanf("%d", &N);
	if (val != 1) {
		printf("Valore non valido!\n");
		exit(3);
	}

	return N;
}

int main()
{
	int N = read_int();
	if (N < 0 || N > 10) {
		printf("N must be >= 0 and <= 10\n");
		return 2;
	}

	int n;
	for (n = 1; n <= N; n++) {
		printf("f(%d)\t=\t%d\n", n, f(n));
	}

	return 0;
}
